Problem / Questions about rt3 <--> Oracle

Hi there all rt-users …

We are a german FullServiceProvider an using rt-2.0.15 for some months now,
with about 1500 current tickets. And it works great until now …

We began looking at rt-3.0 and I tried some things to import all of our old
tickets, and ran into several probs until now …
We would like to use rt3 because of its feature “Approval” and the
customizable fields you can use now.

  • Has anyone maybe an idea for me about importing the data from rt2-db-scheme
    to rt3-db-scheme ?

Next is, we currently are running rt2 / 3 on a dedicated mysql-Server, but
would like to port it to an oracle-db.
Its running on mysql now, because we ran into many many problems while trying
to install it on solaris/oracle (db) and the application on solaris8 /
perl5.8.0 / apache1.3-27. Maybe this is the wrong constellation ? We don´t
know … !?

  • Help … !

Last but not least …
I was trying to look at the approvals, created a queue “Approvals”, but
creating a ticket as a user with rights “SuperUser” does not work.
I get an Internal Server Error, apache_err tells me the following …

[Mon Mar 31 15:10:28 2003] [error] panic: utf8_length: unaligned end at /usr/lib/perl5/site_perl/5.6.1/Devel/StackTrace.pm line 273.

Stack:
[/usr/lib/perl5/site_perl/5.6.1/HTML/Mason/Request.pm:281]
[/usr/lib/perl5/site_perl/5.6.1/Devel/StackTrace.pm:273]
[(eval 1480):146]

Thanks in advance …

Sincerely, …olli

Oliver Simon wrote:

  • Has anyone maybe an idea for me about importing the data from rt2-db-scheme
    to rt3-db-scheme ?

Its running on mysql now, because we ran into many many problems while trying
to install it on solaris/oracle (db) and the application on solaris8 /
perl5.8.0 / apache1.3-27. Maybe this is the wrong constellation ? We don?t
know … !?

A search of the rt-users and/or rt-devel mailing lists over the
last couple of months will answer both of the above questions.

[Mon Mar 31 15:10:28 2003] [error] panic: utf8_length: unaligned end at
/usr/lib/perl5/site_perl/5.6.1/Devel/StackTrace.pm line 273.

You said above you were using perl 5.8.0. This is not perl 5.8.0.

�|� http://www.bestpractical.com/rt – Trouble Ticketing. Free.